Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001778TestLinkAPI - XMLRPCpublic2008-10-08 18:372008-12-08 20:03
Reporterykaneko 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001778: Contribution: implement getTestSuitesForTestPlan() in xmlrpc.php
DescriptionIn my test framework, I wanted to uses both TestSuite name and TestCase name parameters to update TestLink test status, and the only solution available was to use getTestCaseIDByName, but I was concerned that using this for every test case would impact performance.

Then I saw this unimplemented getTestSuitesForTestPlan method and this seemed to fit my requirement,

I gave a shot at implementing it and so far this is working for me.

Could you have look at this?

Thanks,
Yohei
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon xmlrpc.php [^] (49,543 bytes) 2008-10-08 18:37

- Relationships

-  Notes
(0004338)
fman (administrator)
2008-10-09 14:47

Thanks, I will review your code before adding to stable code
(0004437)
fman (administrator)
2008-10-23 16:31

Added to std code. Important: do not do what name promise, return only test suite that is direct parent of test case

- Issue History
Date Modified Username Field Change
2008-10-08 18:37 ykaneko New Issue
2008-10-08 18:37 ykaneko File Added: xmlrpc.php
2008-10-09 14:47 fman Note Added: 0004338
2008-10-09 14:47 fman Status new => assigned
2008-10-09 14:47 fman Assigned To => fman
2008-10-23 16:31 fman Note Added: 0004437
2008-10-23 16:31 fman Status assigned => resolved
2008-10-23 16:31 fman Fixed in Version => next development 1.8 RC 1
2008-10-23 16:31 fman Resolution open => fixed
2008-12-08 20:03 mhavlat Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker